Subject: Re: bug#70102: elpa signature verification failure

From: Stefan Monnier <[email-masked]>
Date: Tue, 21 May 2024 20:21:07 -0400

> I'm trying to install packages from elpa. However...
>
> Failed to verify signature archive-contents.sig:
> Bad signature from 066DAFCB81E42C40 GNU ELPA Signing Agent (2019) <
> [email-masked]>
> Command output:
> gpg: Signature made dom 31 mar 2024 11:30:08 CEST
> gpg:                using RSA key C433554766D3DDC64221BFAA066DAFCB81E42C40
> gpg: BAD signature from "GNU ELPA Signing Agent (2019) <
> [email-masked]>" [unknown]

I don't know why you get a "BAD signature message":  The 2019 key is
expired so AFAIK we don't use it any more.  You need to install the
`gnu-epa-keyring-update` package (or use a more recent version of Emacs).

> This doesn't allow me to send a regular bug report either...

Neither do I know why "This" doesn't allow you to send a regular
bug report, sorry.

        Stefan